Bug 1910666 - Creating a Source Secret from type SSH-Key should use monospace font for better usability
Summary: Creating a Source Secret from type SSH-Key should use monospace font for bett...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1935096 1935673
TreeView+ depends on / blocked
 
Reported: 2020-12-24 10:40 UTC by Arne Gogala
Modified: 2021-03-05 10:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1935096 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:48:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
SSH Key file has monospace font (414.58 KB, image/png)
2021-01-22 09:13 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7873 0 None closed Bug 1910666: Apply var pf-global--FontFamily--monospace to the create secret textarea input 2021-02-15 07:12:43 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:49:18 UTC

Description Arne Gogala 2020-12-24 10:40:58 UTC
Description of problem:
When creating a Source Secret with Authentication Type "SSH Key", the pasted private key in the text windows is displayed with a non-monospaced font.
This makes it hard to visually check if the SSH key is correctly formatted or compare the key with another one.   

Version-Release number of selected component (if applicable):
4.6.8

How reproducible:
Create new Source Secret, paste SSH Key

Actual results:
SSH Key in text-area displayed with a non-monospaced font

Expected results:
SSH Key should be displayed with a monospaced font like in OCP 3.11

Comment 3 Jakub Hadvig 2021-01-04 08:50:02 UTC
Steve please evaluate what the Release Target should be set for. Until that its unset.

Comment 5 Yadan Pei 2021-01-22 09:13:46 UTC
Created attachment 1749680 [details]
SSH Key file has monospace font

1. Create Source Secret with SSH Key authentication type, upload SSH Key file and content are shown in monospace font

Verified on 4.7.0-0.nightly-2021-01-21-215614

Comment 8 errata-xmlrpc 2021-02-24 15:48:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.